SystemOrganization addCategory: #ConfigurationOfBetaNineIPAddress!

Object subclass: #ConfigurationOfBetaNineIPAddress
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfBetaNineIPAddress'!

!ConfigurationOfBetaNineIPAddress commentStamp: '<historical>' prior: 0!
I am ConfigurationOfBetaNineIPAddress, a metacello config for BetaNine's IPAddress classes.!

!ConfigurationOfBetaNineIPAddress class methodsFor: 'development support' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'private' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'private' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'private' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'metacello tool support' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'loading' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'loading' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'loading' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'accessing' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
project

	^self new project! !

!ConfigurationOfBetaNineIPAddress class methodsFor: 'development support' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfBetaNineIPAddress methodsFor: 'baselines' stamp: 'SvenVanCaekenberghe 6/25/2012 14:30'!
baseline1: spec
	<version: '1-baseline'>
	
	spec for: #common do: [
		spec 
			blessing: #baseline;
			repository: 'http://mc.stfx.eu/BetaNinePublic';
			package: 'BetaNine-IPAddress' ]! !

!ConfigurationOfBetaNineIPAddress methodsFor: 'baselines' stamp: 'SvenVanCaekenberghe 6/25/2012 22:54'!
baseline2: spec
	<version: '2-baseline'>
	
	spec for: #common do: [
		spec 
			blessing: #baseline;
			repository: 'http://mc.stfx.eu/BetaNinePublic';
			project: 'NeoCSV' with: [
				spec 
					className: 'ConfigurationOfNeoCSV';
					repository: 'http://mc.stfx.eu/Neo' ];
			package: 'BetaNine-IPAddress' with: [
				spec requires: #('NeoCSV') ] ]! !

!ConfigurationOfBetaNineIPAddress methodsFor: 'accessing' stamp: 'SvenVanCaekenberghe 6/25/2012 14:28'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfBetaNineIPAddress methodsFor: 'symbolic versions' stamp: 'SvenVanCaekenberghe 10/12/2012 13:20'!
stable: spec
	<symbolicVersion: #'stable'>
	
	spec for: #common version: '3'! !

!ConfigurationOfBetaNineIPAddress methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 6/25/2012 14:31'!
version1: spec
	<version: '1' imports: #('1-baseline')>
	
	spec for: #common do: [
		spec
			package: 'BetaNine-IPAddress' with: 'BetaNine-IPAddress-SvenVanCaekenberghe.1' ]! !

!ConfigurationOfBetaNineIPAddress methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 6/25/2012 22:55'!
version2: spec
	<version: '2' imports: #('2-baseline')>
	
	spec for: #common do: [
		spec
			package: 'BetaNine-IPAddress' with: 'BetaNine-IPAddress-SvenVanCaekenberghe.2' ]! !

!ConfigurationOfBetaNineIPAddress methodsFor: 'versions' stamp: 'SvenVanCaekenberghe 10/12/2012 13:20'!
version3: spec
	<version: '3' imports: #('2-baseline')>
	
	spec for: #common do: [
		spec
			package: 'BetaNine-IPAddress' with: 'BetaNine-IPAddress-SvenVanCaekenberghe.3' ]! !
